Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface ContainerType

All Known Implementing Classes:
  ContainerTypeImpl

    public interface ContainerType

Used to specify the name (in multiple parts--e.g., title and subtitle) of the entity that contains the associated content (e.g., book, movie, article, music album). Java content class for containerType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 206)

     <complexType name="containerType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="containerNamePart" type="{http://infoml.org/infomlFile}simpleRichTextWithSeparatorType" maxOccurs="unbounded"/>
             <element name="date" type="{http://infoml.org/infomlFile}dateWithRoleType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="nameAppendedText" type="{http://infoml.org/infomlFile}simpleRichTextWithSeparatorType" minOccurs="0"/>
           </sequence>
           <attribute name="category" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`java.lang.String` | `getCategory()` Gets the value of the category property.
`java.util.List` | `getContainerNamePart()` Gets the value of the ContainerNamePart property.
`java.util.List` | `getDate()` Gets the value of the Date property.
`SimpleRichTextWithSeparatorType` | `getNameAppendedText()` Gets the value of the nameAppendedText property.
`void` | `setCategory(java.lang.String value)` Sets the value of the category property.
`void` | `setNameAppendedText(SimpleRichTextWithSeparatorType value)` Sets the value of the nameAppendedText property.

Method Detail

### getCategory

    java.lang.String getCategory()

  Gets the value of the category property.

  Returns:
    possible object is `String`

### setCategory

    void setCategory(java.lang.String value)

  Sets the value of the category property.

  Parameters:
    `value` - allowed object is `String`

### getContainerNamePart

    java.util.List getContainerNamePart()

  Gets the value of the ContainerNamePart property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ContainerNamePart property.

  For example, to add a new item, do as follows:

          getContainerNamePart().add(newItem);

  Objects of the following type(s) are allowed in the list `SimpleRichTextWithSeparatorType`

### getDate

    java.util.List getDate()

  Gets the value of the Date property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Date property.

  For example, to add a new item, do as follows:

          getDate().add(newItem);

  Objects of the following type(s) are allowed in the list `DateWithRoleType`

### getNameAppendedText

    SimpleRichTextWithSeparatorType getNameAppendedText()

  Gets the value of the nameAppendedText property.

  Returns:
    possible object is `SimpleRichTextWithSeparatorType`

### setNameAppendedText

    void setNameAppendedText(SimpleRichTextWithSeparatorType value)

  Sets the value of the nameAppendedText property.

  Parameters:
    `value` - allowed object is `SimpleRichTextWithSeparatorType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD